//仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱
//  僗僞僢僼儘乕儖僨乕僞傪弶婜壔
//仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯

void staffInitPl(int player) {
//	staffroll_y_ex[player] = 2000;		//柍棟栴棟乧
}

//仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱
//  僗僞僢僼儘乕儖暥帤楍傪昤夋
//仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯
void staffExecute(int player) {
	int i;
	
	if( ending[player] != 2 ) return;
	
	if(!onRecord[player]) return;

	// 昤夋偡傞
	if ( getDrawRate() != 1 )
		BltRect(70,240 + 384 * player - 192 * maxPlay,80,0,staffroll_y_ex[player],160,320);
	else
		BltRect(70,120 + 192 * player - 96 * maxPlay,40,0,staffroll_y_ex[player] / 2,80,160);
}

//仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱仴仱
//  怴偟偄暥帤楍傪壓偐傜昞帵偝偣傞
//仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯仮仯
void staffRoll(int player) {
	if( (ending[player] == 2) && (onRecord[player]) && (!pause[player]) ) {
		if(fastroll[player]){
			endtime[player]=endtime[player]+2; // 宱夁帪娫+1 #1.60c7o6
		}else{
			endtime[player]++; // 宱夁帪娫+1 #1.60c7o6
		}
		//柍尷夞揮懳嶔
		if((repversw >= 55) && (gameMode[player] >= 1) && ((kickc[player] > 10) || (kickc3[player] > 8)) ){
			endtime[player] = endtime[player] - 1 - (fastroll[player]);
		}else{
			// 忋偵堏摦
			if( (endtime[player] % 2 == 0) && (endtime[player] < 3100) && (!pause[player]) ){
				staffroll_y_ex[player]++;
			}
		}

	}
}
